RTEMS: Thread_Start_information Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
Thread_Start_information Struct Reference
Internal » SuperCore » Thread Handler

`#include <thread.h>`

## Data Fields
Thread_Entry_information | Entry
bool | is_preemptible
Thread_CPU_budget_algorithms | budget_algorithm
Thread_CPU_budget_algorithm_callout | budget_callout
uint32_t | isr_level
Priority_Control | initial_priority
void * | allocated_stack
| This field is a pointer to the allocated stack area, otherwise it is NULL.
Stack_Control | Initial_stack
Context_Control_fp * | fp_context
void * | tls_area

## Detailed Description

The following structure contains the information which defines the starting state of a thread.

## Field Documentation

## ◆ budget_algorithm

Thread_CPU_budget_algorithms Thread_Start_information::budget_algorithm

This field indicates the CPU budget algorith.

## ◆ budget_callout

Thread_CPU_budget_algorithm_callout Thread_Start_information::budget_callout

This field is the routine to invoke when the CPU allotment is consumed.

## ◆ Entry

Thread_Entry_information Thread_Start_information::Entry

This field contains the thread entry information.

## ◆ fp_context

Context_Control_fp* Thread_Start_information::fp_context

This field is the initial FP context area address.

## ◆ initial_priority

Priority_Control Thread_Start_information::initial_priority

This field is the initial priority.

## ◆ Initial_stack

Stack_Control Thread_Start_information::Initial_stack

This field is the stack information.

## ◆ is_preemptible

bool Thread_Start_information::is_preemptible

This field indicates whether the thread was preemptible when it started.

## ◆ isr_level

uint32_t Thread_Start_information::isr_level

This field is the initial ISR disable level of this thread.

## ◆ tls_area

void* Thread_Start_information::tls_area

The thread-local storage (TLS) area

The documentation for this struct was generated from the following file:

- cpukit/include/rtems/score/thread.h